"""
Launch script for Pocket Friends.
"""
import os
import pygame
import sys
from pathlib import Path
import pocket_friends.game_files.game as game

if __name__ == '__main__':
    enable_dev = False
    windowed = False

    # enable dev mode if --dev argument is passed
    if len(sys.argv) > 0:
        for arg in sys.argv:
            if arg == '--delete-save':
                save_dir = os.path.join(Path.home(), '.pocket_friends')
                os.remove(save_dir + '/save.json')
            if arg == '--windowed':
                windowed = True

    game.main(windowed)

    pygame.quit()
    sys.exit()
